## pyfr 1.5.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) src
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) src

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyFR.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyFR.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyFR"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyFR"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pyfr 1.4.0

=== debian/changelog ===
pyfr (1.4.0-3) unstable; urgency=medium

  * Build and distribute the manpages.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 28 May 2016 15:43:40 +0100

pyfr (1.4.0-2) unstable; urgency=medium

  * Install pyfr module to private location.
    Thanks to Piotr Ozarowski
  * Drop unnecessary build dependencies.
  * Drop install dependency on mpi-default-bin.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 12 May 2016 20:28:24 +0100

pyfr (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: replace install dependency on gcc by build-essential.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 21 Apr 2016 08:13:51 +0100

pyfr (1.3.0-3) unstable; urgency=medium

  * Add missing install dependency on gcc.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 20 Apr 2016 16:21:13 +0100

pyfr (1.3.0-2) unstable; urgency=medium

  * Add missing copyright information.
    Thanks to Chris Lamb
  * Work around Debian bug #821466:
    - d/control: pyfr now explicitly depends on mpi-default-bin instead of
      expecting it to be pulled transitively via mpi4py.
    - d/tests/control: simplified and refactored.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 18 Apr 2016 21:22:20 +0100

pyfr (1.3.0-1) unstable; urgency=low

  * Initial release. (Closes: #821008)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 16 Apr 2016 20:47:39 +0100

=== debian/control ===
Source: pyfr
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               graphviz,
               python3-all,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyfr.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pyfr.git
Homepage: http://www.pyfr.org/
X-Python3-Version: >= 3.3

Package: pyfr
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         build-essential,
         libblas3 | libblas.so.3,
         libmetis5,
         python3-pkg-resources
Suggests: pyfr-doc
Description: flux reconstruction in Python
 PyFR is an open-source Python based framework for solving advection-diffusion
 type problems on streaming architectures using the Flux Reconstruction
 approach of Huynh. The framework is designed to solve a range of governing
 systems on mixed unstructured grids containing various element types. It is
 also designed to target a range of hardware platforms via use of an in-built
 domain specific language derived from the Mako templating engine.
 .
 This package provides the PyFR application.

Package: pyfr-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation for PyFR
 PyFR is an open-source Python based framework for solving advection-diffusion
 type problems on streaming architectures using the Flux Reconstruction
 approach of Huynh. The framework is designed to solve a range of governing
 systems on mixed unstructured grids containing various element types. It is
 also designed to target a range of hardware platforms via use of an in-built
 domain specific language derived from the Mako templating engine.
 .
 This package provides the documentation for PyFR.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyfr/pyfr-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyfr 1.5.0

=== debian/changelog ===
pyfr (1.5.0-3) unstable; urgency=medium

  * Team upload.
  * Fix installation of manpage
    Closes: #922257

 -- Andreas Tille <tille@debian.org>  Tue, 05 Mar 2019 20:34:01 +0100

pyfr (1.5.0-2) unstable; urgency=medium

  * Team upload.
  * Point Vcs-URLs to Salsa
  * Standards-Version: 4.1.4
  * Fix issue with recent sphinx versions
    Closes: #896485
  * Drop ancient python version field X-Python3-Version: >= 3.3

 -- Andreas Tille <tille@debian.org>  Sun, 20 May 2018 06:47:05 +0200

pyfr (1.5.0-1) unstable; urgency=medium

  * Track GitHub instead of PyPI releases.
  * Refresh patch queue.
  * Add missing build dependencies on h5py, mako, numpy and pytools.
  * Add new build dependency on gimmik.
  * Upgrade packaging to debhelper 10.
  * Drop superfluous Testsuite field.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 15 Nov 2016 19:17:58 +0000

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,22 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                graphviz,
                python3-all,
+               python3-gimmik,
+               python3-h5py,
+               python3-mako,
+               python3-numpy,
+               python3-pytools,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyfr.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pyfr.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/science-team/pyfr
+Vcs-Git: https://salsa.debian.org/science-team/pyfr.git
 Homepage: http://www.pyfr.org/
-X-Python3-Version: >= 3.3
 
 Package: pyfr
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_DISABLE=test
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/pyfr
export PYBUILD_AFTER_INSTALL=mv {destdir}/usr/bin/pyfr \
	{destdir}/usr/share/pyfr/run

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
		sphinx-build -N -b html doc/src build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
		sphinx-build -N -b man doc/src build/man

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js

override_dh_compress:
	dh_compress --exclude=examples

=== debian/tests/control ===
Tests: example-couette-flow-2d

Tests: example-euler-vortex-2d
Depends: @, mpi-default-bin

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/PyFR-$1\.tar\.gz/ \
https://github.com/vincentlab/PyFR/tags .*/v?(\d\S+)\.tar\.gz
